Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...

From: Michael Heerdegen <[email-masked]>
Date: Tue, 05 Feb 2019 16:40:25 +0100

"N. Jackson" <[email-masked]> writes:

> After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
> paste.  Instead, it only undoes the final M-y.  One needs to undo
> over-and-over-again to get back to the state before the paste operation
> was begun.

FWIW, with smart-yank.el in Gnu Elpa you can hit M-y twice in very fast
succession to remove the yank no matter how often you have yanked.  I
say it to mention the alternative approach (to using undo), not to
advertise.

Michael.